.dev
REST APIAPI Reference

Products

GET
/v1/products

Response Body

curl -X GET "https://example.com/v1/products"
POST
/v1/products

Response Body

curl -X POST "https://example.com/v1/products"
GET
/v1/products/{id}

Path Parameters

id*string

Response Body

curl -X GET "https://example.com/v1/products/string"
PATCH
/v1/products/{id}

Path Parameters

id*string

Response Body

curl -X PATCH "https://example.com/v1/products/string"
DELETE
/v1/products/{id}

Path Parameters

id*string

Response Body

curl -X DELETE "https://example.com/v1/products/string"
PUT
/v1/products/{id}

Path Parameters

id*string

Response Body

curl -X PUT "https://example.com/v1/products/string"
GET
/v1/products/random

Response Body

curl -X GET "https://example.com/v1/products/random"
GET
/v1/stores/{storeId}/products/{productId}/report

Path Parameters

storeId*string
productId*string

Response Body

curl -X GET "https://example.com/v1/stores/string/products/string/report"
GET
/v1/stores/{storeId}/products/{productId}/sells

Path Parameters

storeId*string
productId*string

Response Body

curl -X GET "https://example.com/v1/stores/string/products/string/sells"